Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Customer Service Management / Reference / REST API

Customer experience

Postman Collection
OpenAPI
GET

Get organizations with access to a Customer ExperienceExperimental

Returns the Customer Service Management organizations that have access to a Customer Experience.

The Customer Experience must use organization-restricted access.

Permissions required: The caller must be able to administer the Customer Experience.

read:organization:jira-service-management

Request

Path parameters

helpCenterId

string

Required

Query parameters

startAt

integer

limit

integer

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns the organizations that have access to the Customer Experience.

application/json

CustomerExperienceOrganizationsResponse

A page of organizations that have access to a Customer Experience.

GET/api/v1/helpcenter/{helpCenterId}/access/organization
1 2 3 4 5 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/access/organization' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 { "startAt": 0, "maxResults": 25, "total": 1, "isLast": true, "organizations": [ { "id": "123", "name": "Atlassian" } ] }
POST

Grant organizations access to a Customer ExperienceExperimental

Grants up to 5 existing Customer Service Management organizations access to a Customer Experience.

The Customer Experience must already use organization-restricted access. This operation does not change a public Customer Experience to restricted access.

Permissions required: The caller must be able to view the organization and administer the Customer Experience.

read:organization:jira-service-management
,
write:organization:jira-service-management

Request

Path parameters

helpCenterId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

organizationIds

array<integer>

Required

Responses

The organizations have access to the Customer Experience.

POST/api/v1/helpcenter/{helpCenterId}/access/organization
1 2 3 4 5 6 7 8 9 10 11 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/access/organization' \ --header 'Authorization: Bearer <access_token>' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "organizationIds": [ 123, 456 ] }'
DEL

Remove an organization from a Customer ExperienceExperimental

Removes an existing Customer Service Management organization's access to a Customer Experience.

The Customer Experience must use organization-restricted access. If the organization does not currently have access, no change is made.

Permissions required: The caller must be able to view the organization and administer the Customer Experience.

read:organization:jira-service-management
,
write:organization:jira-service-management

Request

Path parameters

helpCenterId

string

Required
organizationId

integer

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

The organization no longer has access to the Customer Experience.

DEL/api/v1/helpcenter/{helpCenterId}/access/organization/{organizationId}
1 2 3 4 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/access/organization/{organizationId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'X-ExperimentalApi: opt-in'
POST

Raise issue on the help centerExperimental

Raises the issue to be visible on the provided help center for the reporter to see.

If the issue has no submitted form, it attaches and submits the help center's default form. The values submitted in the form will use the values of Summary and Description on the provided issue.

If a form is already attached to the issue, this operation returns 409 Conflict.

Permissions required: The caller must be able to view the provided help center and be a Customer Service Management agent with EDIT_ISSUES permission for the provided issue.

write:csm-request:jira-service-management

Request

Path parameters

helpCenterId

string

Required
issueIdOrKey

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns a link to the raised issue in the support site associated with the provided help center.

application/json

RaiseIssueOnHelpCenterResponse
POST/api/v1/helpcenter/{helpCenterId}/issue/{issueIdOrKey}/raise
1 2 3 4 5 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/issue/{issueIdOrKey}/raise' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 { "supportSiteRequestUrl": "https://example.atlassian.net/helpcenter/acme-support/user/requests/CSM-123" }

Rate this page: